Bug 857539 - Clicking the "contract" arrow in the org selector on the main UI does not contract the picker
Clicking the "contract" arrow in the org selector on the main UI does not con...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Pavel Pokorny
Corey Welton
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-09-14 15:06 EDT by Corey Welton
Modified: 2014-09-18 11:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The organization dropdown menu failed to contract when a user clicked the "up" arrow. This update contracts the picker and the menu now contracts upon clicking the "up" arrow.
Story Points: ---
Clone Of:
CloudForms System Engine Version: 1.1.12-6.el6cf
Last Closed: 2012-12-04 14:52:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-09-14 15:06:23 EDT
Description of problem:
When a user clicks the "down" arrow to expand the org picker in the main UI, it expands as expected. However, clicking the subsequent "up" arrow does not cause it to contract.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Create an organization
2.  Login as admin
3.  Anywhere on the main UI (Dashboard, for example), click the down arrow in the org picker; note that the element expands.
4.  Click on the resulting up arrow that appears when the element is expanded.
5. View results
Actual results:
The picker contracts temporarily but reopens.

Expected results:
Picker should stay closed.

Additional info:
Same behavior occurs on FF and Chrome
Comment 1 Corey Welton 2012-09-14 15:11:56 EDT
A similar thing occurs in the Administer dropdown.  However, this element auto-expands upon hover. When moving mouse atop the arrow, it flips, but clicking it doesn't do anything.

May be a separate bug - let me know, if they can be fixed in the same manner, go ahead and do both, or I can write up a new bz
Comment 2 Pavel Pokorny 2012-09-20 06:14:03 EDT
I fixed the org selector [1].

But I am not sure about expected behaviour for Administer dropdown. It seems to me that it would be useless to make the arrow 'clickable'. It should stay hover-only. For me it sounds reasonable to disable the arrow flipping in this case.

[1] https://github.com/Katello/katello/pull/719
Comment 3 Pavel Pokorny 2012-09-24 10:03:25 EDT
Fixed in 0953ac4
Comment 4 Pavel Pokorny 2012-09-24 10:06:33 EDT
@cwelton please create separate BZ for the Administer dropdown.
Comment 5 Dmitri Dolguikh 2012-09-27 08:47:19 EDT
changing status to 'on_qa'
Comment 9 Corey Welton 2012-10-03 14:44:58 EDT
QE Verified.

CloudForms System Engine Version: 1.1.12-12.el6cf
Comment 11 errata-xmlrpc 2012-12-04 14:52:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.